#include <iostream>
#include <vector>
#include <algorithm>

using namespace std;

int main() {
    int n; cin >> n;

    vector<int> seq(n);
    for (int i = 0; i < n; i++) {
        cin >> seq[i];
    }

    long long moves = 0;
    bool swapped = true;

    while (swapped) {
        swapped = false;
        for (int i = 0; i < n - 1; i++) {
            if (seq[i] > seq[i + 1]) {
                swap(seq[i], seq[i + 1]);
                moves++;
                swapped = true;
            }
        }
    }

    if (moves % 2 != 0) {
        cout << "Marcelo" << endl;
    } else {
        cout << "Carlos" << endl;
    }

    return 0;
}